%global modname fmn.web

%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2:        %global __python2 %{__python}}
%{!?python2_sitelib:  %global python2_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:               python-fmn-web
Version:            0.1.4
Release:            1%{?dist}
Summary:            Frontend Web Application for Fedora Notifications

Group:              Development/Libraries
License:            LGPLv2+
URL:                http://pypi.python.org/pypi/fmn.web
Source0:            http://pypi.python.org/packages/source/f/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:          noarch

BuildRequires:      python2-devel
BuildRequires:      python-setuptools
BuildRequires:      python-nose

BuildRequires:      python-fmn-lib
BuildRequires:      python-openid
BuildRequires:      python-openid-cla
BuildRequires:      python-openid-teams
BuildRequires:      python-flask
BuildRequires:      python-flask-openid
BuildRequires:      python-wtforms
BuildRequires:      python-docutils
BuildRequires:      python-markupsafe
BuildRequires:      python-pylibravatar
BuildRequires:      python-pydns
BuildRequires:      python-urllib3

%if 0%{?rhel} && 0%{?rhel} <= 6
BuildRequires:      python-ordereddict
BuildRequires:      python-sqlalchemy0.8
%else
BuildRequires:      python-sqlalchemy
%endif


Requires:           python-fmn-lib
Requires:           python-openid
Requires:           python-openid-cla
Requires:           python-openid-teams
Requires:           python-flask
Requires:           python-flask-openid
Requires:           python-wtforms
Requires:           python-docutils
Requires:           python-markupsafe
Requires:           python-pylibravatar
Requires:           python-pydns
Requires:           python-urllib3

%if 0%{?rhel} && 0%{?rhel} <= 6
Requires:           python-ordereddict
Requires:           python-sqlalchemy0.8
%else
Requires:           python-sqlalchemy
%endif

Requires:           httpd
Requires:           mod_wsgi


%description
fmn is a family of systems to manage end-user notifications triggered by
fedmsg, the Fedora FEDerated MESsage bus.

This module contains the frontend web application for Fedora Notifications.

%prep
%setup -q -n %{modname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}

%{__mkdir_p} %{buildroot}/%{_datadir}/%{modname}
%{__mkdir_p} %{buildroot}/%{_sysconfdir}/httpd/conf.d

%{__install}        apache/%{modname}.wsgi %{buildroot}%{_datadir}/%{modname}/%{modname}.wsgi
%{__install} -m 644 apache/%{modname}.conf %{buildroot}%{_sysconfdir}/httpd/conf.d/%{modname}.conf
%{__install} -m 644 -d fmn/web/static %{buildroot}%{_datadir}/%{modname}/static

%files
%doc README.rst COPYING COPYING.LESSER CHANGELOG.rst
%{python2_sitelib}/fmn/web/
%{python2_sitelib}/%{modname}-%{version}*

%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{modname}.conf
%{_datadir}/%{modname}

%changelog
* Fri Dec 06 2013 Ralph Bean <rbean@redhat.com> - 0.1.4-1
- Latest upstream with inactive-by-default apache config
- Removed unnecessary ownership of /usr/share/fmn.web

* Tue Dec 03 2013 Ralph Bean <rbean@redhat.com> - 0.1.3-1
- initial package for Fedora
